Batch query payment orders
Batch query payment orders by merchant outer order numbers or by time
range. If outerOrderList is provided, beginTime/endTime are ignored.
Time-based queries are limited to recent history (up to 30 days).
Each item may include optional subMerchantCode when present on the original payment.
Header Parameters
request timestamp in milliseconds
merchant's appKey
request signature
merchant's private key version, default is 1
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/openapi/v2/order/list" \ -H "X-R-Ts: 1762327084929" \ -H "X-R-Ak: string" \ -H "X-R-Signature: string" \ -H "Content-Type: application/json" \ -d '{}'"open api common response"{ "code": "paramFormatError", "message": "request param invalid"}{ "code": "authorizationInvalid", "message": "authorizationInvalid invalid"}{ "code": "notInWhiteList", "message": "request ip not in the white list"}{ "code": "frequencyLimited", "message": "Too many requests, please try again later"}